Bug 169833 - Evince lacks mozilla plugin (or mozplugger configuration)
Evince lacks mozilla plugin (or mozplugger configuration)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 05:41 EDT by David Woodhouse
Modified: 2008-03-10 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 17:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-10-04 05:41:54 EDT
Clicking on PDF files in Firefox doesn't seem to work correctly. After upgrading
to FC4, it would just give me an empty window, and I'd have to save the file and
then click on 'open' to see it.

This mozpluggerrc configuration makes it work a little bit:

text/pdf: pdf: PDF file
text/x-pdf: pdf: PDF file
        swallow(Document Viewer) fill: evince "$file"

However, it works only if evince isn't already running. Otherwise, the window
title isn't 'Document Viewer' and it doesn't get swallowed. And even when it's
swallowed, it doesn't respond to the mozilla window being resized -- it stays
the same size even when the mozilla window grows.

The best answer might be a simple mozilla plugin, or it might be to make
mozplugger and evince work nicely together.
Comment 1 Christian Iseli 2007-01-22 05:39:55 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 17:30:36 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 3 David Woodhouse 2008-03-10 12:51:20 EDT
I believe this still applies.

Note You need to log in before you can comment on or make changes to this bug.